const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';
    onLoad() {
        // cc.dynamicAtlasManager.showDebug(true);
    }

    start() {
        // init logic
        // this.label.string = this.text;
        let content = cc.find('scrollView', this.node).getComponent(cc.ScrollView).content;
        let itemtmp = cc.find('item', this.node);
        cc.loader.loadRes('item', cc.Prefab, (err, prefab) => {
            if (err) {
                cc.error(err.message || err);
                return;
            }
            for (let i = 0; i < 100; i++) {
                //    let item =  cc.instantiate(prefab)
                let item = cc.instantiate(itemtmp)
                item.parent = content;
            }
        });
    }
}
